Package org.apache.wiki.htmltowiki.syntax

## Class PlainTextMonospaceDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.PlainTextMonospaceDecorator

    public abstract class PlainTextMonospaceDecorator
    extends java.lang.Object

Translates to wiki syntax from a plain text handling monospace.

### Field Summary

Fields
`protected XHtmlElementToWikiTranslator` `chain`
`protected java.io.PrintWriter` `out`
`protected java.util.Deque<java.lang.String>` `preStack`
`protected PlainTextCssSpecialDecorator` `ptcsd`

### Constructor Summary

Constructors
`protected` `PlainTextMonospaceDecorator​(PlainTextCssSpecialDecorator ptcsd, java.io.PrintWriter out, java.util.Deque<java.lang.String> preStack, XHtmlElementToWikiTranslator chain)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)` Translates the given XHTML element into wiki markup.
`void` `decorate​(org.jdom2.Element e)` Translates the given XHTML element into wiki markup.
`protected abstract java.lang.String` `markupMonospaceClose()` Closing wiki markup for a monospace element.
`protected abstract java.lang.String` `markupMonospaceOpen()` Opening wiki markup for a monospace element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### out

    protected final java.io.PrintWriter out

#### preStack

    protected final java.util.Deque<java.lang.String> preStack

#### chain

    protected final XHtmlElementToWikiTranslator chain

#### ptcsd

    protected final PlainTextCssSpecialDecorator ptcsd

### Constructor Detail

#### PlainTextMonospaceDecorator

    protected PlainTextMonospaceDecorator​(PlainTextCssSpecialDecorator ptcsd,
                                          java.io.PrintWriter out,
                                          java.util.Deque<java.lang.String> preStack,
                                          XHtmlElementToWikiTranslator chain)

### Method Detail

#### decorate

    public void decorate​(XHtmlElementToWikiTranslator.ElementDecoratorData dto)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `dto` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### decorate

    public void decorate​(org.jdom2.Element e)
                  throws org.jdom2.JDOMException

Translates the given XHTML element into wiki markup.

Parameters:
  `e` - XHTML element being translated.
Throws:
  `org.jdom2.JDOMException`

#### markupMonospaceOpen

    protected abstract java.lang.String markupMonospaceOpen()

Opening wiki markup for a monospace element.

Returns:
  Opening wiki markup for a monospace element.

#### markupMonospaceClose

    protected abstract java.lang.String markupMonospaceClose()

Closing wiki markup for a monospace element.

Returns:
  Closing wiki markup for a monospace element.